import { lStorage } from '@/utils'

const TOKEN_CODE = 'token'
const X_TOKEN_CODE = 'X_TOKEN_CODE'

export function getToken() {
  return lStorage.get(TOKEN_CODE)
}

export function getTokenAll() {
  return lStorage.getItem(TOKEN_CODE)
}

export function getXToken() {
  return lStorage.get(X_TOKEN_CODE)
}

export function setXToken(token) {
  lStorage.set(X_TOKEN_CODE,token)
}

export function setToken(token,expireAt) {
  lStorage.set(TOKEN_CODE, token,expireAt)
}

export function removeToken() {
  lStorage.remove(TOKEN_CODE)
}

